eID middleware |

# be.portugal.eid.PTEID_ExUserMustAnswer Class Reference

Exception class User must answer (error code = EIDMW_ERR_USER_MUST_ANSWER). More...

Inheritance diagram for be.portugal.eid.PTEID_ExUserMustAnswer:

List of all members.

## Public Member Functions
synchronized void | delete ()
| PTEID_ExUserMustAnswer ()
| Constructor.
## Protected Member Functions
| PTEID_ExUserMustAnswer (long cPtr, boolean cMemoryOwn)
void | finalize ()
## Static Protected Member Functions
static long | getCPtr (PTEID_ExUserMustAnswer obj)

## Detailed Description

Exception class User must answer (error code = EIDMW_ERR_USER_MUST_ANSWER).

Thrown when the user did not answer yet to allow or disallow reading the data from the card

## Constructor & Destructor Documentation

be.portugal.eid.PTEID_ExUserMustAnswer.PTEID_ExUserMustAnswer | ( | long | cPtr,
|  | boolean | cMemoryOwn |
| ) |  |  | `[protected]`

be.portugal.eid.PTEID_ExUserMustAnswer.PTEID_ExUserMustAnswer | ( |  | ) |

Constructor.

## Member Function Documentation

synchronized void be.portugal.eid.PTEID_ExUserMustAnswer.delete | ( |  | ) |

Reimplemented from be.portugal.eid.PTEID_Exception.

References be.portugal.eid.PTEID_Exception.swigCMemOwn.

void be.portugal.eid.PTEID_ExUserMustAnswer.finalize | ( |  | ) | `[protected]`

Reimplemented from be.portugal.eid.PTEID_Exception.

static long be.portugal.eid.PTEID_ExUserMustAnswer.getCPtr | ( | PTEID_ExUserMustAnswer | obj | ) | `[static, protected]`

References be.portugal.eid.PTEID_ExUserMustAnswer.swigCPtr.